/* LITEcore
 * https://goload.ru
 *
 * loader.min.js */

function checkWebKit() {
	var e = /AppleWebKit\/([\d.]+)/.exec(navigator.userAgent);
	return e ? parseFloat(e[1]) : null
}
function getChromeVersion() {
	var e = /AppleWebKit\/([\d.]+)/.exec(navigator.userAgent);
	return e ? parseFloat(e[1]) : null
}
(function() {
	function e(e) {
		return function(t, n, r) {
			n = y(n, r);
			for (var a = null != t && t.length, i = e > 0 ? 0 : a - 1; i >= 0 && i < a; i += e)
				if (n(t[i], i, t))
					return i;
			return -1
		}
	}
	function t(e, t) {
		var n = b.length,
			r = e.constructor,
			a = d.isFunction(r) && r.prototype || i,
			o = "constructor";
		for (d.has(e, o) && !d.contains(t, o) && t.push(o); n--; )
			o = b[n],
			o in e && e[o] !== a[o] && !d.contains(t, o) && t.push(o)
	}
	var n = this,
		r = n._,
		a = Array.prototype,
		i = Object.prototype,
		o = Function.prototype,
		s = a.push,
		l = a.slice,
		u = (a.concat, i.toString),
		c = i.hasOwnProperty,
		f = Array.isArray,
		p = Object.keys,
		d = (o.bind, Object.create,
	function(e) {
		return e instanceof d ? e : this instanceof d ? void (this._wrapped = e) : new d(e)
	}
	);
	"undefined" != typeof exports ? ("undefined" != typeof module && module.exports && (exports = module.exports = d),
	exports._ = d) : n._ = d,
	d.VERSION = "1.8.2";
	var h = function(e, t, n) {
		if (void 0 === t)
			return e;
		switch (null == n ? 3 : n) {
		case 1:
			return function(n) {
				return e.call(t, n)
			};
		case 2:
			return function(n, r) {
				return e.call(t, n, r)
			};
		case 3:
			return function(n, r, a) {
				return e.call(t, n, r, a)
			};
		case 4:
			return function(n, r, a, i) {
				return e.call(t, n, r, a, i)
			}
		}
		return function() {
			return e.apply(t, arguments)
		}
	},
	y = function(e, t, n) {
		return null == e ? d.identity : d.isFunction(e) ? h(e, t, n) : d.isObject(e) ? d.matcher(e) : d.property(e)
	};
	d.iteratee = function(e, t) {
		return y(e, t, 1 / 0)
	};
	var m = function(e, t) {
		return function(n) {
			var r = arguments.length;
			if (r < 2 || null == n)
				return n;
			for (var a = 1; a < r; a++)
				for (var i = arguments[a], o = e(i), s = o.length, l = 0; l < s; l++) {
					var u = o[l];
					t && void 0 !== n[u] || (n[u] = i[u])
				}
			return n
		}
	},
	g = Math.pow(2, 53) - 1,
	v = function(e) {
		var t = e && e.length;
		return "number" == typeof t && t >= 0 && t <= g
	};
	d.each = d.forEach = function(e, t, n) {
		t = h(t, n);
		var r, a;
		if (v(e))
			for (r = 0,
			a = e.length; r < a; r++)
				t(e[r], r, e);
		else {
			var i = d.keys(e);
			for (r = 0,
			a = i.length; r < a; r++)
				t(e[i[r]], i[r], e)
		}
		return e
	},
	d.map = d.collect = function(e, t, n) {
		t = y(t, n);
		for (var r = !v(e) && d.keys(e), a = (r || e).length, i = Array(a), o = 0; o < a; o++) {
			var s = r ? r[o] : o;
			i[o] = t(e[s], s, e)
		}
		return i
	},
	d.find = d.detect = function(e, t, n) {
		var r;
		if (r = v(e) ? d.findIndex(e, t, n) : d.findKey(e, t, n),
		void 0 !== r && r !== -1)
			return e[r]
	},
	d.filter = d.select = function(e, t, n) {
		var r = [];
		return t = y(t, n),
		d.each(e, function(e, n, a) {
			t(e, n, a) && r.push(e)
		}),
		r
	},
	d.reject = function(e, t, n) {
		return d.filter(e, d.negate(y(t)), n)
	},
	d.every = d.all = function(e, t, n) {
		t = y(t, n);
		for (var r = !v(e) && d.keys(e), a = (r || e).length, i = 0; i < a; i++) {
			var o = r ? r[i] : i;
			if (!t(e[o], o, e))
				return !1
		}
		return !0
	},
	d.some = d.any = function(e, t, n) {
		t = y(t, n);
		for (var r = !v(e) && d.keys(e), a = (r || e).length, i = 0; i < a; i++) {
			var o = r ? r[i] : i;
			if (t(e[o], o, e))
				return !0
		}
		return !1
	},
	d.contains = d.includes = d.include = function(e, t, n) {
		return v(e) || (e = d.values(e)),
		d.indexOf(e, t, "number" == typeof n && n) >= 0
	},
	d.pluck = function(e, t) {
		return d.map(e, d.property(t))
	},
	d.max = function(e, t, n) {
		var r, a, i = -(1 / 0), o = -(1 / 0);
		if (null == t && null != e) {
			e = v(e) ? e : d.values(e);
			for (var s = 0, l = e.length; s < l; s++)
				r = e[s],
				r > i && (i = r)
		} else
			t = y(t, n),
			d.each(e, function(e, n, r) {
				a = t(e, n, r),
				(a > o || a === -(1 / 0) && i === -(1 / 0)) && (i = e,
				o = a)
			});
		return i
	},
	d.sortBy = function(e, t, n) {
		return t = y(t, n),
		d.pluck(d.map(e, function(e, n, r) {
			return {
				value: e,
				index: n,
				criteria: t(e, n, r)
			}
		}).sort(function(e, t) {
			var n = e.criteria
			  , r = t.criteria;
			if (n !== r) {
				if (n > r || void 0 === n)
					return 1;
				if (n < r || void 0 === r)
					return -1
			}
			return e.index - t.index
		}), "value")
	},
	d.size = function(e) {
		return null == e ? 0 : v(e) ? e.length : d.keys(e).length
	};
	var _ = function(e, t, n, r) {
		for (var a = [], i = 0, o = r || 0, s = e && e.length; o < s; o++) {
			var l = e[o];
			if (v(l) && (d.isArray(l) || d.isArguments(l))) {
				t || (l = _(l, t, n));
				var u = 0
				  , c = l.length;
				for (a.length += c; u < c; )
					a[i++] = l[u++]
			} else
				n || (a[i++] = l)
		}
		return a
	};
	d.flatten = function(e, t) {
		return _(e, t, !1)
	},
	d.object = function(e, t) {
		for (var n = {}, r = 0, a = e && e.length; r < a; r++)
			t ? n[e[r]] = t[r] : n[e[r][0]] = e[r][1];
		return n
	},
	d.indexOf = function(e, t, n) {
		var r = 0
		  , a = e && e.length;
		if ("number" == typeof n)
			r = n < 0 ? Math.max(0, a + n) : n;
		else if (n && a)
			return r = d.sortedIndex(e, t),
			e[r] === t ? r : -1;
		if (t !== t)
			return d.findIndex(l.call(e, r), d.isNaN);
		for (; r < a; r++)
			if (e[r] === t)
				return r;
		return -1
	},
	d.findIndex = e(1),
	d.findLastIndex = e(-1);
	d.negate = function(e) {
		return function() {
			return !e.apply(this, arguments)
		}
	};
	var P = !{
		toString: null
	}.propertyIsEnumerable("toString"),
	b = ["valueOf", "isPrototypeOf", "toString", "propertyIsEnumerable", "hasOwnProperty", "toLocaleString"];
	d.keys = function(e) {
		if (!d.isObject(e))
			return [];
		if (p)
			return p(e);
		var n = [];
		for (var r in e)
			d.has(e, r) && n.push(r);
		return P && t(e, n),
		n
	},
	d.allKeys = function(e) {
		if (!d.isObject(e))
			return [];
		var n = [];
		for (var r in e)
			n.push(r);
		return P && t(e, n),
		n
	},
	d.invert = function(e) {
		for (var t = {}, n = d.keys(e), r = 0, a = n.length; r < a; r++)
			t[e[n[r]]] = n[r];
		return t
	},
	d.functions = d.methods = function(e) {
		var t = [];
		for (var n in e)
			d.isFunction(e[n]) && t.push(n);
		return t.sort()
	},
	d.extend = m(d.allKeys),
	d.extendOwn = d.assign = m(d.keys),
	d.findKey = function(e, t, n) {
		t = y(t, n);
		for (var r, a = d.keys(e), i = 0, o = a.length; i < o; i++)
			if (r = a[i],
			t(e[r], r, e))
				return r
	},
	d.pick = function(e, t, n) {
		var r, a, i = {}, o = e;
		if (null == o)
			return i;
		d.isFunction(t) ? (a = d.allKeys(o),
		r = h(t, n)) : (a = _(arguments, !1, !1, 1),
		r = function(e, t, n) {
			return t in n
		},
		o = Object(o));
		for (var s = 0, l = a.length; s < l; s++) {
			var u = a[s]
			  , c = o[u];
			r(c, u, o) && (i[u] = c)
		}
		return i
	},
	d.omit = function(e, t, n) {
		if (d.isFunction(t))
			t = d.negate(t);
		else {
			var r = d.map(_(arguments, !1, !1, 1), String);
			t = function(e, t) {
				return !d.contains(r, t)
			}
		}
		return d.pick(e, t, n)
	},
	d.defaults = m(d.allKeys, !0),
	d.clone = function(e) {
		return d.isObject(e) ? d.isArray(e) ? e.slice() : d.extend({}, e) : e
	},
	d.isEmpty = function(e) {
		return null == e || (v(e) && (d.isArray(e) || d.isString(e) || d.isArguments(e)) ? 0 === e.length : 0 === d.keys(e).length)
	},
	d.isElement = function(e) {
		return !(!e || 1 !== e.nodeType)
	},
	d.isArray = f || function(e) {
		return "[object Array]" === u.call(e)
	},
	d.isObject = function(e) {
		var t = typeof e;
		return "function" === t || "object" === t && !!e
	},
	d.each(["Arguments", "Function", "String", "Number", "Date", "RegExp", "Error"], function(e) {
		d["is" + e] = function(t) {
			return u.call(t) === "[object " + e + "]"
		}
	}),
	d.isArguments(arguments) || (d.isArguments = function(e) {
		return d.has(e, "callee")
	}
	),
	"function" != typeof /./ && "object" != typeof Int8Array && (d.isFunction = function(e) {
		return "function" == typeof e || !1
	}
	),
	d.isNaN = function(e) {
		return d.isNumber(e) && e !== +e
	},
	d.isBoolean = function(e) {
		return e === !0 || e === !1 || "[object Boolean]" === u.call(e)
	},
	d.isNull = function(e) {
		return null === e
	},
	d.isUndefined = function(e) {
		return void 0 === e
	},
	d.has = function(e, t) {
		return null != e && c.call(e, t)
	},
	d.noConflict = function() {
		return n._ = r,
		this
	},
	d.property = function(e) {
		return function(t) {
			return null == t ? void 0 : t[e]
		}
	},
	d.random = function(e, t) {
		return null == t && (t = e,
		e = 0),
		e + Math.floor(Math.random() * (t - e + 1))
	};
	var x = {
		"&": "&amp;",
		"<": "&lt;",
		">": "&gt;",
		'"': "&quot;",
		"'": "&#x27;",
		"`": "&#x60;"
	},
	M = d.invert(x),
	S = function(e) {
		var t = function(t) {
			return e[t]
		},
		n = "(?:" + d.keys(e).join("|") + ")",
		r = RegExp(n),
		a = RegExp(n, "g");
		return function(e) {
			return e = null == e ? "" : "" + e,
			r.test(e) ? e.replace(a, t) : e
		}
	};
	d.escape = S(x),
	d.unescape = S(M);
	var w = 0;
	d.uniqueId = function(e) {
		var t = ++w + "";
		return e ? e + t : t
	},
	d.templateSettings = {
		evaluate: /<%([\s\S]+?)%>/g,
		interpolate: /<%=([\s\S]+?)%>/g,
		escape: /<%-([\s\S]+?)%>/g
	};
	var T = /(.)^/,
		H = {
			"'": "'",
			"\\": "\\",
			"\r": "r",
			"\n": "n",
			"\u2028": "u2028",
			"\u2029": "u2029"
		},
		O = /\\|'|\r|\n|\u2028|\u2029/g,
		N = function(e) {
			return "\\" + H[e]
		};
	d.template = function(e, t, n) {
		!t && n && (t = n),
		t = d.defaults({}, t, d.templateSettings);
		var r = RegExp([(t.escape || T).source, (t.interpolate || T).source, (t.evaluate || T).source].join("|") + "|$", "g"),
		a = 0,
		i = "__p+='";
		e.replace(r, function(t, n, r, o, s) {
			return i += e.slice(a, s).replace(O, N),
			a = s + t.length,
			n ? i += "'+\n((__t=(" + n + "))==null?'':_.escape(__t))+\n'" : r ? i += "'+\n((__t=(" + r + "))==null?'':__t)+\n'" : o && (i += "';\n" + o + "\n__p+='"),
			t
		}),
		i += "';\n",
		t.variable || (i = "with(obj||{}){\n" + i + "}\n"),
		i = "var __t,__p='',__j=Array.prototype.join,print=function(){__p+=__j.call(arguments,'');};\n" + i + "return __p;\n";
		try {
			var o = new Function(t.variable || "obj","_",i)
		} catch (s) {
			throw s.source = i,
			s
		}
		var l = function(e) {
			return o.call(this, e, d)
		},
		u = t.variable || "obj";
		return l.source = "function(" + u + "){\n" + i + "}",
		l
	},
	d.chain = function(e) {
		var t = d(e);
		return t._chain = !0,
		t
	};
	var k = function(e, t) {
		return e._chain ? d(t).chain() : t
	};
	d.mixin = function(e) {
		d.each(d.functions(e), function(t) {
			var n = d[t] = e[t];
			d.prototype[t] = function() {
				var e = [this._wrapped];
				return s.apply(e, arguments),
				k(this, n.apply(d, e))
			}
		})
	},
	d.mixin(d),
	d.prototype.value = function() {
		return this._wrapped
	},
	d.prototype.valueOf = d.prototype.toJSON = d.prototype.value,
	d.prototype.toString = function() {
		return "" + this._wrapped
	},
	"function" == typeof define && define.amd && define("underscore", [], function() {
		return d
	})
}
).call(this),
__ = _.noConflict(),
"object" != typeof JSON && (JSON = {}),
function() {
	"use strict";
	function f(e) {
		return e < 10 ? "0" + e : e
	}
	function this_value() {
		return this.valueOf()
	}
	function quote(e) {
		return rx_escapable.lastIndex = 0,
		rx_escapable.test(e) ? '"' + e.replace(rx_escapable, function(e) {
			var t = meta[e];
			return "string" == typeof t ? t : "\\u" + ("0000" + e.charCodeAt(0).toString(16)).slice(-4)
		}) + '"' : '"' + e + '"'
	}
	function str(e, t) {
		var n, r, a, i, o, s = gap, l = t[e];
		switch (l && "object" == typeof l && "function" == typeof l.toJSON && (l = l.toJSON(e)),
		"function" == typeof rep && (l = rep.call(t, e, l)),
		typeof l) {
		case "string":
			return quote(l);
		case "number":
			return isFinite(l) ? String(l) : "null";
		case "boolean":
		case "null":
			return String(l);
		case "object":
			if (!l)
				return "null";
			if (gap += indent,
			o = [],
			"[object Array]" === Object.prototype.toString.apply(l)) {
				for (i = l.length,
				n = 0; n < i; n += 1)
					o[n] = str(n, l) || "null";
				return a = 0 === o.length ? "[]" : gap ? "[\n" + gap + o.join(",\n" + gap) + "\n" + s + "]" : "[" + o.join(",") + "]",
				gap = s,
				a
			}
			if (rep && "object" == typeof rep)
				for (i = rep.length,
				n = 0; n < i; n += 1)
					"string" == typeof rep[n] && (r = rep[n],
					a = str(r, l),
					a && o.push(quote(r) + (gap ? ": " : ":") + a));
			else
				for (r in l)
					Object.prototype.hasOwnProperty.call(l, r) && (a = str(r, l),
					a && o.push(quote(r) + (gap ? ": " : ":") + a));
			return a = 0 === o.length ? "{}" : gap ? "{\n" + gap + o.join(",\n" + gap) + "\n" + s + "}" : "{" + o.join(",") + "}",
			gap = s,
			a
		}
	}
	var rx_one = /^[\],:{}\s]*$/,
		rx_two = /\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,
		rx_three = /"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,
		rx_four = /(?:^|:|,)(?:\s*\[)+/g,
		rx_escapable = /[\\\"\u0000-\u001f\u007f-\u009f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
		rx_dangerous = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g;
	"function" != typeof Date.prototype.toJSON && (Date.prototype.toJSON = function() {
		return isFinite(this.valueOf()) ? this.getUTCFullYear() + "-" + f(this.getUTCMonth() + 1) + "-" + f(this.getUTCDate()) + "T" + f(this.getUTCHours()) + ":" + f(this.getUTCMinutes()) + ":" + f(this.getUTCSeconds()) + "Z" : null
	},
	Boolean.prototype.toJSON = this_value,
	Number.prototype.toJSON = this_value,
	String.prototype.toJSON = this_value);
	var gap, indent, meta, rep;
	"function" != typeof JSON.stringify && (meta = {
		"\b": "\\b",
		"\t": "\\t",
		"\n": "\\n",
		"\f": "\\f",
		"\r": "\\r",
		'"': '\\"',
		"\\": "\\\\"
	},
	JSON.stringify = function(e, t, n) {
		var r;
		if (gap = "",
		indent = "",
		"number" == typeof n)
			for (r = 0; r < n; r += 1)
				indent += " ";
		else
			"string" == typeof n && (indent = n);
		if (rep = t,
		t && "function" != typeof t && ("object" != typeof t || "number" != typeof t.length))
			throw new Error("JSON.stringify");
		return str("", {
			"": e
		})
	}
	),
	"function" != typeof JSON.parse && (JSON.parse = function(text, reviver) {
		function walk(e, t) {
			var n, r, a = e[t];
			if (a && "object" == typeof a)
				for (n in a)
					Object.prototype.hasOwnProperty.call(a, n) && (r = walk(a, n),
					void 0 !== r ? a[n] = r : delete a[n]);
			return reviver.call(e, t, a)
		}
		var j;
		if (text = String(text),
		rx_dangerous.lastIndex = 0,
		rx_dangerous.test(text) && (text = text.replace(rx_dangerous, function(e) {
			return "\\u" + ("0000" + e.charCodeAt(0).toString(16)).slice(-4)
		})),
		rx_one.test(text.replace(rx_two, "@").replace(rx_three, "]").replace(rx_four, "")))
			return j = eval("(" + text + ")"),
			"function" == typeof reviver ? walk({
				"": j
			}, "") : j;
		throw new SyntaxError("JSON.parse")
	}
	)
}();
var store = {};
try {
	var storage = window.localStorage;
	storage.setItem("storage_test", 1),
	storage.removeItem("storage_test")
} catch (e) {
	var storage = "";
	!function() {
		var e = function() {
			function e(e, t, n) {
				var r, a;
				n ? (r = new Date,
				r.setTime(r.getTime() + 24 * n * 60 * 60 * 1e3),
				a = "; expires=" + r.toGMTString()) : a = "",
				document.cookie = e + "=" + t + a + "; path=/"
			}
			function t(e) {
				var t, n, r = e + "=", a = document.cookie.split(";");
				for (t = 0; t < a.length; t++)
					if (n = a[t].trim(),
					0 == n.indexOf(r))
						return n.substring(r.length, n.length);
				return null
			}
			function n(t) {
				t = encodeURIComponent(JSON.stringify(t)),
				e("player_storage", t, 365)
			}
			function r() {
				var e = t("player_storage");
				return e ? JSON.parse(decodeURIComponent(e)) : {}
			}
			var a = r();
			return {
				length: 0,
				getItem: function(e) {
					return void 0 === a[e] ? null : a[e]
				},
				removeItem: function(e) {
					delete a[e],
					this.length--,
					n(a)
				},
				setItem: function(e, t) {
					a[e] = t + "",
					this.length++,
					n(a)
				}
			}
		};
		storage = new e
	}()
}
store.has = function(e) {
	return void 0 !== store.get(e)
},
store.serialize = function(e) {
	return JSON.stringify(e)
},
store.deserialize = function(e) {
	if ("string" == typeof e)
		try {
			return JSON.parse(e)
		} catch (t) {
			return e || void 0
		}
},
store.remove = function(e) {
	try {
		storage.removeItem(e)
	} catch (t) {}
},
store.set = function(e, t) {
	if (void 0 === t)
		return store.remove(e);
	try {
		storage.setItem(e, store.serialize(t))
	} catch (n) {
		return !1
	}
	return t
},
store.get = function(e, t) {
	try {
		var n = store.deserialize(storage.getItem(e))
	} catch (r) {}
	return void 0 === n ? t : n
},
window.store = store;
var __, xlll = {
	initLoader: function(e) {
		xlll.loader.initLoader(e)
	},
	createPlayer: function(e, t) {
		this.playerReady ? xlll.player.createPlayer(e, t) : xlll.players[e] = t
	},
	playerType: function(e) {
		return xlll.player.playerType(e)
	},
	isPlaying: function(e) {
		return xlll.player.isPlaying(e)
	},
	destroyPlayer: function(e, t) {
		xlll.player.destroyPlayer(e, t)
	},
	seek: function(e, t, n) {
		__.isBoolean(n) || (n = !0),
		xlll.player.seek(e, t, n)
	},
	play: function(e) {
		xlll.player.play(e)
	},
	pause: function(e) {
		xlll.player.pause(e)
	},
	setMute: function(e, t) {
		xlll.player.setMute(e, t)
	},
	getVolume: function(e) {
		return xlll.player.getVolume(e)
	},
	setVolume: function(e, t) {
		xlll.player.setVolume(e, t)
	},
	getCurrentTime: function(e) {
		return xlll.player.getCurrentTime(e)
	},
	exitFullscreen: function(e) {
		xlll.player.exitFullscreen(e)
	},
	inspect: function() {
		return xlll.player.inspect()
	},
	playerStatus: function() {
		return xlll.player.playerStatus()
	},
	getPlayerIds: function() {
		return xlll.player.getPlayerIds()
	},
	checkIE: function() {
		var e = -1;
		if ("Microsoft Internet Explorer" == navigator.appName) {
			var t = navigator.userAgent
			  , n = new RegExp("MSIE ([0-9]{1,}[.0-9]{0,})");
			null != n.exec(t) && (e = parseFloat(RegExp.$1))
		}
		return e
	},
	loader: null,
	player: null,
	detector: null,
	choosenPlayer: {
		playerName: "",
		version: "stable"
	},
	skins: {},
	skinsMarkup: {},
	loadedMasterCSS: !1,
	players: {},
	playerReady: !1,
	isBasic: !1,
	loaderVersion: "3.3.1",
	appVersions: {},
	flashPlayer_eventFunctionCreated: !1,
	isOldIE: !1,
	isNoFullScreenIE: function() {
		return this.checkIE() < 11 && !(this.checkIE() === -1) && !(0 === this.checkIE())
	},
	minified: !0,
	addFileModeToPath: function(e) {
		return this.minified && (e = e.substr(0, e.lastIndexOf(".")) + ".min" + e.substr(e.lastIndexOf("."))),
		e
	},
	log: function(e) {
		this.outputConsoleLog("xlll: " + e, "log")
	},
	warn: function(e) {
		this.outputConsoleLog("xlll: " + e, "warn")
	},
	error: function(e) {
		this.outputConsoleLog("xlll: v.3.3.1 -- o_O --> " + e, "error")
	},
	outputConsoleLog: function(e, t) {
		this.isOldIE || this.minified || console[t](e)
	},
	pathToFileName: function(e) {
		return e.replace(/^.*[\\\/]/, "")
	},
	getParameterByName: function(e) {
		var t = RegExp("[#&]" + e + "=([^&]*)").exec(window.location.hash);
		if (null == t)
			var t = RegExp("[?&]" + e + "=([^&]*)").exec(window.location.search);
		return null != t && decodeURIComponent(t[1].replace(/\+/g, " "))
	}
};
xlll.loader = function() {
	function e(e) {
		return __.all(o.supportTest[e].fileToSupport, function(e) {
			return __.videoFormatIsSupported(e)
		})
	}
	function t(e) {
		xlll.getParameterByName("debug") && (xlll.minified = !1),
		__.isObject(e.playerDefaultSettings) && (s = e.playerDefaultSettings),
		o = __.deepExtend(o, __.omit(e, "playerDefaultSettings")),
		xlll.loaderSettings = o,
		a()
	}
	function n() {
		if (/iP(hone|od|ad)/.test(navigator.userAgent)) {
			var e = navigator.appVersion.match(/OS (\d+)_(\d+)_?(\d+)?/);
			return [parseInt(e[1]), parseInt(e[2]), parseInt(e[3] || 0)]
		}
		return [0, 0, 0]
	}
	function r() {
		var e = [];
		return o.playerUsageOrder.length > 0 ? __.each(o.playerUsageOrder, function(t) {
			var n = t.split("_")
			  , r = __.findKey(o.playerVersionArray, function(e, t) {
				return e.playerName.indexOf(n[0]) >= 0
			});
			e.push(o.playerVersionArray[r])
		}) : e = o.playerVersionArray,
		e
	}
	function a() {
		function t() {
			try {
				try {
					var e = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.6");
					try {
						e.AllowScriptAccess = "always"
					} catch (t) {
						return "6,0,0"
					}
				} catch (t) {}
				return new ActiveXObject("ShockwaveFlash.ShockwaveFlash").GetVariable("$version").replace(/\D+/g, ",").match(/^,?(.+),?$/)[1]
			} catch (t) {
				try {
					if (navigator.mimeTypes["application/x-shockwave-flash"].enabledPlugin)
						return (navigator.plugins["Shockwave Flash 2.0"] || navigator.plugins["Shockwave Flash"]).description.replace(/\D+/g, ",").match(/^,?(.+),?$/)[1]
				} catch (t) {}
			}
			return "0,0,0"
		}
		xlll.detector.init(o.deviceType);
		var a = r(),
			i = o.embeds.enabled;
		xlll.appVersions = a;
		var l = xlll.detector.getBrowser(),
			u = "safari" === l.name && l.version <= 7,
			c = !1;
		try {
			c = Boolean(new ActiveXObject("ShockwaveFlash.ShockwaveFlash"))
		} catch (f) {
			c = "undefined" != typeof navigator.mimeTypes["application/x-shockwave-flash"]
		}
		var p = "0.0";
		if (c)
			var p = t().replace(/,/gi, ".");
		var d = xlll.detector,
			h = checkWebKit() >= 537 && getChromeVersion() >= 36 && !d.isSamsungNative(),
			y = "video" === o.embeds.mediaType,
			m = d.isIos() && n()[0] < 8 && !d.isWindows(),
			g = d.isIos() && n()[0] < 10 && !d.isWindows(),
			v = d.isIos() && n()[0] > 9 && !d.isWindows(),
			_ = h && !d.isFirefox() || v && !d.isFirefox();
		if (xlll.iOSversion = n()[0],
		xlll.choosenPlayer = __.find(a, function(t) {
			switch (t.playerName) {
			case "4Play":
				return e(t.playerName) && c && !d.isSmartTV() && !d.isTablet() && !d.isMobile();
			case "imagePlayer":
				return i && (d.isMobile() && (!y || y && !_ && !g) || d.isTablet() && m);
			case "basicHTML5":
			case "basicHTML5Phub":
				return xlll.isBasic = !0,
				!xlll.isOldIE;
			case "HTML5Player":
				return e(t.playerName) && d.isDesktop() && !xlll.isNoFullScreenIE() && !d.isPlaystation() && !d.isXbox() && !u && !d.isSmartTV() || d.isTablet() && !d.isIe() && (h || d.isFirefox() && !d.isIos() || d.isFirefox() && i || d.isIos() && n()[0] > 6);
			case "HTML5PlayerMobile":
				return e(t.playerName) && d.isMobile() && !d.isIe() && !d.isPlaystation() && !d.isXbox() && _ && (!i || i && y);
			case "oldFlash":
				return parseFloat(p) >= parseFloat(o.supportTest[t.playerName].minFlashVersion) && !d.isMobile() && !d.isTablet()
			}
		}),
		xlll.getParameterByName("forcePlayer")) {
			var P = xlll.getParameterByName("forcePlayer");
			if (P.indexOf("_") == -1)
				xlll.choosenPlayer = {
					playerName: P,
					version: "stable"
				};
			else {
				var b = P.split("_");
				__.isArray(b) && 2 == b.length && b[0].length && b[1].length && (xlll.choosenPlayer = {
					playerName: b[0],
					version: b[1]
				})
			}
		}
		if (__.isUndefined(xlll.choosenPlayer)) {
			var x = o.fallbackFunction.toString().match(/\{([\s\S]*)\}/m)[1];
			return x = x.replace(/^\s*\/\/.*$/gm, ""),
			methodBodyLength = x.replace(/^\s+|\s+$/g, "").length,
			!__.isUndefined(o.fallbackFunction) && __.isFunction(o.fallbackFunction) && methodBodyLength > 0 ? o.fallbackFunction() : __.videoFormatIsSupported("h264") || xlll.isOldIE ? alert("please download flash") : alert("please either install flash or H.264 decoder to support player"),
			!1
		}
		xlll.player.initPlayer(s, xlll.choosenPlayer.playerName)
	}
	function i(e, t, n) {
		var r, a = document, i = a.getElementsByTagName("head")[0];
		if ("HTML5Player" == xlll.choosenPlayer.playerName && ("undefined" != typeof o.adaptive && o.adaptive === !1 || (e = e.replace("HTML5Player.", "HTML5Player.adaptive."))),
		"HTML5PlayerMobile" == xlll.choosenPlayer.playerName && ("undefined" != typeof o.adaptive && o.adaptive === !1 || (e = e.replace("HTML5PlayerMobile.", "HTML5PlayerMobile.adaptive."))),
		"js" == t)
			r = a.createElement("script"),
			r.src = '/assets/js/video/player.min.js',
			r.type = "text/javascript";
		else {
			if ("css" != t)
				return xlll.error("Invalid file format passed to scriptLoader function."),
				!1;
			r = a.createElement("link"),
			r.rel = "stylesheet",
			r.type = "text/css",
			r.href = e
		}
		r.async = !0,
		r.onload = r.onreadystatechange = function(a) {
			r.readyState && !/loaded|complete/.test(r.readyState) || (r.onload = r.onreadystatechange = null,
			r.parentNode && "css" !== t && r.parentNode.removeChild(r),
			r = null,
			n && n(200, "success", xlll.pathToFileName(e), t))
		},
		i.insertBefore(r, i.firstChild)
	}
	var o = (null != window.location.href.match(/goload/i),
	{
		playerUsageOrder: [],
		playerVersionArray: [{
			playerName: "HTML5PlayerMobile",
			version: "3.3.1"
		}],
		pathToBuildFolder: "",
		embeds: {
			enabled: !1,
			mediaType: "image"
		},
		fallbackFunction: function() {},
		supportTest: {
			basicHTML5: {
				fileToSupport: ["h264"]
			},
			HTML5Player: {
				fileToSupport: ["h264"]
			},
			"4Play": {
				minFlashVersion: "10.2"
			},
			oldFlash: {
				minFlashVersion: "9.0"
			},
			HTML5PlayerMobile: {
				fileToSupport: ["h264"]
			}
		}
	}),
	s = {};
	return {
		initLoader: function(e) {
			t(e)
		},
		testFormats: e,
		scriptLoader: function(e, t, n) {
			i(e, t, n)
		},
		pathToBuildFolder: function() {
			return o.pathToBuildFolder
		}
	}
}(),
xlll.player = function() {
	function e(e, r) {
		c = __.deepExtend(c, e),
		h.initDispatcher();
		var a = "",
			i = "stable/";
		"stable" !== xlll.choosenPlayer.version && (i = xlll.choosenPlayer.version + "/design/video/");
		var o = "player.min.js";
		xlll.loader.scriptLoader(o, "js", function() {
			xlll.playerReady = !0,
			n()
		});
		var s = xlll.detector.getBrowser(),
			l = "ie" == s.name && s.version <= 9;
		l && (p.addEventListener ? p.addEventListener("beforeunload", t) : p.attachEvent("onunload", t))
	}
	function t() {
		__.each(f, function(e) {
			a(e.playerId)
		}),
		f = null,
		__.purge(document.body),
		p["xlll_playerPlugin_" + xlll.choosenPlayer.playerName] = null,
		__.each(xlll.player, function(e, t) {
			xlll.player[t] = null
		}),
		__.each(xlll.loader, function(e, t) {
			xlll.loader[t] = null
		}),
		c = null,
		__.each(xlll, function(e, t) {
			xlll[t] = null
		}),
		xlll = null
	}
	function n() {
		__.size(xlll.players) && __.each(xlll.players, function(e, t) {
			r(t, e)
		})
	}
	function r(e, t) {
		var n = __.deepExtend({}, c, t),
			r = xlll.choosenPlayer.playerName;
		"HTML5PlayerMobile" === r && (r = "HTML5Player"),
		f[e] = p["xlll_playerPlugin_" + r](),
		i(e, n),
		f[e].initPlayer(e, n)
	}
	function a(e, t) {
		__.isObject(f[e]) && (__.each(h.eventType, function(t) {
			h.unsubscribe(t, e)
		}),
		h.playerId == e && (h.playerId = null),
		f[e].destroy(function() {
			d && __.each(f[e], function(t, n) {
				f[e][n] = null
			}),
			delete f[e],
			t && t()
		}))
	}
	function i(e, t) {
		__.each(h.eventType, function(n) {
			__.isFunction(t.events[n]) && h.subscribe(n, e, t.events[n])
		})
	}
	var o = {
		urlPattern: "",
		format: "5x5",
		type: "normal",
		cdnType: "regular",
		preload: !1,
		progressive: !1,
		async: !1,
		samplingFrequency: "0",
		thumbWidth: "160",
		thumbHeight: "90"
	}, s = {
		displayDuration: 45,
		displayText: "",
		linkUrl: "",
		showDelay: 5
	}, l = {
		actionTags: "",
		appId: "10829",
		autoPlay: !1,
		campaignName: "",
		siteName: "",
		clickUrl: "",
		forgetUserAfter: 86400,
		imageHeight: 0,
		imageUrl: "",
		imageWidth: 0,
		mediaDefinition: [],
		onNth: 1,
		overlays: [],
		overlayTextAd: s,
		poster: "",
		profileAdUrl: "",
		skippable: !1,
		skipDelay: 0,
		skipDelayMessage: "",
		skipMessage: "",
		clickableAreas: {
			video: !1,
			link: !0
		},
		cta: {
			image: "",
			title: "",
			subtitle: "",
			button: "",
			url: "",
			expand: !1,
			timer: !0
		},
		shownOnlyInFullScreen: !1,
		thumbs: o,
		timing: "main",
		title: "",
		trackUrl: "",
		type: "video",
		duration: 0,
		videoUnavailable: !1,
		videoUnavailableMessage: "",
		videoUrl: "",
		watchPageUrl: "",
		weight: 1,
		campaignWeight: 1
	}, u = {
		capLevelToPlayerSize: !1,
		debug: !1,
		maxBufferLength: 30,
		maxMaxBufferLength: 600,
		maxBufferSize: 6e7,
		maxBufferHole: .5,
		maxSeekHole: 2,
		minAutoBitrate: 0
	}, c = {
		autoplay: !1,
		hotspots: {
			enabled: !0,
			chartColor: "#635b58",
			chartHeight: "30px",
			data: []
		},
		nextVideo: {
			thumb: "",
			duration: "",
			title: "",
			isHD: !1,
			nextUrl: ""
		},
		seekPreview: {
			enabled: !0,
			blur: 3,
			showInBufferedZone: !1
		},
		locale: "en",
		quickSetup: !1,
		siteId: null,
		seekParams: {},
		startOffset: 0,
		productUrl: "",
		referrerUrl: "",
		videoPreload: "none",
		maxSeeksInProgress: 2,
		monitorBandwidth: !0,
		viewedRequestTimeout: 60,
		viewedRequestURL: "",
		isVr: !1,
		hlsSettings: u,
		htmlSettings: {
			skin: "default",
			notAvailableMessage: "%NOT_AVAILABLE%",
			videoErrorMessage: "%ERROR_OCCURED%",
			skipMessage: "%SKIP_AD%",
			skipDelayMessage: "%SKIP_TIMER%"
		},
		embeds: {
			enabled: !1,
			logoEnabled: !0,
			imageUrl: "",
			watchHD: !1,
			utmRedirect: {
				logo: !0,
				title: !0,
				relatedBtns: !0,
				thumbs: !0,
				videoArea: !0
			},
			redirect: {
				onFullscreen: !1,
				onMenu: !1,
				logoUrl: "",
				relatedUrl: "",
				mostViewedUrl: "",
				mftuUrl: "",
				topRatedUrl: ""
			}
		},
		mainRoll: l,
		defaultRollObject: l,
		menu: {
			url: "",
			deferredLoad: !0,
			related: !0,
			topRated: !0,
			mostViewed: !0,
			mftu: !0,
			showOnPause: !1,
			showOnPost: !1,
			linkColor: null
		},
		features: {
			hdIcon: !0,
			embedCode: "",
			watchlater: !1,
			favorite: !1,
			themeColor: "#f6921e",
			logo: !1,
			shareBar: !1,
			topControlBar: !1,
			playerSizeToggle: !1,
			optionsEnabled: !0,
			autoplayOption: !0,
			showHotspots: !0,
			fullscreen: !0,
			volumeBar: !0,
			mute: !0,
			chromecast: !0,
			tooltips: !0,
			hideControlsTimeout: 2,
			ignorePreferences: !1,
			qualitiesPerSlide: 4,
			nextButton: !0,
			doubleTapSeek: !0
		},
		flashSettings: {
			appId: 0,
			allowfullscreen: !0,
			wmode: "opaque",
			quality: "high",
			allowScriptAccess: "always",
			bgcolor: "#000",
			paths: {
				oldFlash: {
					SWF: ""
				},
				fourPlay: {
					SWF: "",
					skins: []
				}
			},
			cdnProvider: "",
			htmlPauseRoll: null,
			htmlPostRoll: null,
			postRollUrl: "",
			pauseRollUrl: "",
			extraFlashvars: {
				oldFlash: {},
				fourPlay: {}
			}
		},
		events: {}
	}, f = {},
		p = window,
		d = !1,
		h = {
		eventType: ["onPlay", "onPause", "onEnd", "showPreRoll", "hidePreRoll", "showPostRoll", "showPauseRoll", "hideRoll", "onShare", "expandPlayer", "collapsePlayer", "voteUp", "voteDown", "onQualityChange", "onQualityUpsell", "onAdaptiveQualityChange", "onDestroy", "onVolumeChange", "onAutoplayChange", "onPlaybackRateChange", "onHotspotsChange", "onTextTrackChange", "onSeek", "onDurationChange", "onTimeChange", "onPlaylistCountdown", "onFullscreen", "chromecastAvailable", "onCasting", "onKeyboard", "onWatchLater", "onFavorite", "onWaiting", "onBuffer", "onVideoReady", "onReady", "onRedirect", "autoNextOpen", "autoNextClosed", "copyUrlVideo", "copyUrlVideoTime", "copyEmbed", "onVrError", "lowBandwidth", "thumbnailsReady", "fragmentChanged"],
		events: {},
		playerId: null,
		initDispatcher: function() {
			__.each(this.eventType, function(e) {
				h.events[e] = []
			})
		},
		subscribe: function(e, t, n) {
			this.events[e] && this.events[e].push({
				playerId: t,
				callback: n
			})
		},
		unsubscribe: function(e, t, n) {
			for (var r = this.events[e].length; r--; )
				this.events[e][r].playerId == t && (this.events[e].splice(r, 1),
				n && n(e, t))
		},
		fireEvent: function(e, t, n) {
			var r = this;
			__.each(this.events[e], function(a) {
				a.playerId == t && (a.callback(t, e, n),
				r.playerId = t)
			})
		}
	};
	return {
		initPlayer: e,
		createPlayer: r,
		eventsDispatcher: h,
		playerType: xlll.choosenPlayer.playerName,
		fireEvent: function(e, t, n) {
			h.fireEvent(e, t, n)
		},
		subscribeToEvent: function(e, t, n) {
			h.subscribe(e, t, n)
		},
		unsubscribeToEvent: function(e, t, n) {
			h.unsubscribe(e, t, n)
		},
		getConfigsObject: function(e) {
			return f[e].createConfigJson()
		},
		sendFlashEventToPlayer: function(e, t) {
			f[e].catchAndFilterEvent(t)
		},
		destroyPlayer: function(e, t) {
			a(e, t)
		},
		seek: function(e, t, n) {
			f[e].seek(t, n)
		},
		isPlaying: function(e) {
			return f[e].isPlaying()
		},
		isReady: function(e) {
			return f[e].isReady()
		},
		play: function(e) {
			f[e].play()
		},
		pause: function(e) {
			f[e].pause()
		},
		setMute: function(e, t) {
			f[e].setMute(t)
		},
		getVolume: function(e) {
			return f[e].getVolume()
		},
		setVolume: function(e, t) {
			f[e].setVolume(t)
		},
		getCurrentTime: function(e) {
			return f[e].getCurrentTime(e)
		},
		exitFullscreen: function(e) {
			f[e].fullscreen && f[e].fullscreen.exit()
		},
		setPoster: function(e, t) {
			f[e].setPoster(t)
		},
		setActionTags: function(e, t) {
			f[e].setActionTags(t)
		},
		setQuality: function(e, t) {
			f[e].setQuality(t)
		},
		setThumbs: function(e, t) {
			f[e].setThumbs(t)
		},
		inspect: function() {
			var e = {};
			return __.each(f, function(t, n) {
				e[n] = {
					player: t,
					settings: t.settings,
					flashSettings: ("oldFlash" == xlll.choosenPlayer.playerName || "4Play" == xlll.choosenPlayer.playerName) && xlll.player.getConfigsObject(n)
				}
			}),
			e
		},
		getPlayerIds: function() {
			var e = [];
			return __.each(f, function(t, n) {
				e.push(n)
			}),
			e
		},
		playerStatus: function() {
			var e = {}
			  , t = ["muted", "volume", "videoStarted", "videoEnded", "currentTime", "playing", "duration", "playerType", "selectedResolution", "fullscreen", "isPreRollActive", "autoplay"];
			return __.each(t, function(t) {
				__.each(f, function(n, r) {
					e[t] = n[t]
				})
			}),
			e
		}
	}
}(),
__.mixin({
	deepExtend: function(e) {
		var t = /#{\s*?_\s*?}/,
			n = Array.prototype.slice;
		return __.each(n.call(arguments, 1), function(n) {
			for (var r in n)
				if (__.isUndefined(e[r]) || __.isFunction(e[r]) || __.isNull(n[r]) || __.isDate(n[r]))
					e[r] = n[r];
				else if (__.isString(n[r]) && t.test(n[r]))
					__.isString(e[r]) && (e[r] = n[r].replace(t, e[r]));
				else if (__.isArray(e[r]) || __.isArray(n[r])) {
					if (!__.isArray(e[r]) || !__.isArray(n[r]))
						throw new Error("Trying to combine an array with a non-array (" + r + ")");
					e[r] = __.reject(__.deepExtend(__.clone(e[r]), n[r]), function(e) {
						return __.isNull(e)
					})
				} else if (__.isObject(e[r]) || __.isObject(n[r])) {
					if (!__.isObject(e[r]) || !__.isObject(n[r]))
						throw new Error("Trying to combine an object with a non-object (" + r + ")");
					e[r] = __.deepExtend(__.clone(e[r]), n[r])
				} else
					e[r] = n[r]
		}),
		e
	}
});
var createElement = function() {
	return "function" != typeof document.createElement ? document.createElement(arguments[0]) : document.createElement.apply(document, arguments)
};
__.mixin({
	videoFormatIsSupported: function(e) {
		var t = {
			ogg: 'video/ogg; codecs="theora"',
			h264: 'video/mp4; codecs="avc1.42E01E"',
			webm: 'video/webm; codecs="vp8, vorbis"',
			vp9: 'video/webm; codecs="vp9"',
			hls: 'application/x-mpegURL; codecs="avc1.42E01E"'
		},
		n = createElement("video"),
		r = !1,
		a = __.find(t, function(t, n) {
			return n == e
		});
		if (a)
			try {
				(r = !!n.canPlayType) && (r = n.canPlayType(a).replace(/^no$/, ""))
			} catch (i) {}
		return !!r
	}
}),
__.mixin({
	pathToFileName: xlll.pathToFileName
}),
__.mixin({
	getParameterByName: xlll.getParameterByName
}),
__.mixin({
	extractFileExtention: function(e) {
		return e.split("?")[0].split(".").pop()
	}
}),
__.mixin({
	isPath: function(e) {
		return /.*(\/.*|\..*)+/.test(e)
	}
}),
__.mixin({
	isURL: function(e) {
		return regexp = /^(?:(?:https?|ftp):\/\/)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)(?:\.(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)*(?:\.(?:[a-z\u00a1-\uffff]{2,})))(?::\d{2,5})?(?:\/\S*)?$/,
		!!regexp.test(e)
	}
});
var mhp_prefix = "xlll_";
__.mixin(__.isUndefined(document.documentElement.classList) ? {
	addClass: function(e, t) {
		t.indexOf(mhp_prefix) == -1 && (t = mhp_prefix + t),
		__.hasClass(e, t) || (e.className += (e.className ? " " : "") + t)
	},
	removeClass: function(e, t) {
		t.indexOf(mhp_prefix) == -1 && (t = mhp_prefix + t),
		__.hasClass(e, t) && (e.className = e.className.replace(new RegExp("(^|\\s)*" + t + "(\\s|$)*","g"), ""))
	},
	hasClass: function(e, t) {
		return t.indexOf(mhp_prefix) == -1 && (t = mhp_prefix + t),
		new RegExp("(^|\\s)" + t + "(\\s|$)").test(e.className)
	},
	toggleClass: function(e, t) {
		t.indexOf(mhp_prefix) == -1 && (t = mhp_prefix + t),
		(__.hasClass(e, t) ? __.removeClass : __.addClass)(e, t)
	}
} : {
	addClass: function(e, t) {
		return e && e.classList ? (t.indexOf(mhp_prefix) == -1 && (t = mhp_prefix + t),
		void e.classList.add(t)) : void console.log("addClass: broken CSS selector", e, t)
	},
	removeClass: function(e, t) {
		return e && e.classList ? (t.indexOf(mhp_prefix) == -1 && (t = mhp_prefix + t),
		void e.classList.remove(t)) : void console.log("removeClass: broken CSS selector", e, t)
	},
	hasClass: function(e, t) {
		return t.indexOf(mhp_prefix) == -1 && (t = mhp_prefix + t),
		e.classList.contains(t)
	},
	toggleClass: function(e, t) {
		t.indexOf(mhp_prefix) == -1 && (t = mhp_prefix + t),
		e.classList.toggle(t)
	}
}),
__.mixin({
	filterVideoResolution: function(e) {
		var t = [];
		return __.each(e, function(e) {
			__.isString(e.videoUrl) && e.videoUrl.length && __.isPath(e.videoUrl) && (!e.format || e.format && "hls" !== e.format && "dash" !== e.format) && t.push(e)
		}),
		t
	},
	removeAdaptiveMedia: function(e, t) {
		return t = t || ["hls", "dash"],
		__.isString(t) && (t = [t]),
		__.filter(e, function(e) {
			return !(__.indexOf(t, e.format) >= 0)
		})
	},
	filterMediaSources: function(e) {
		var t = [],
			n = {},
			r = "";
		e = __.sortBy(e, function(e) {
			return "dash" == e.format ? 9999 : "hls" == e.format ? 9998 : -parseFloat(String(e.quality).replace(/[_p]/gi, ".")) - ("upsell" == e.format ? 1e4 : 0)
		}),
		e = __.filter(e, function(e) {
			return __.isPath(e.videoUrl) || "upsell" == e.format
		}),
		__.each(e, function(e) {
			var a = e.quality;
			t.push(a),
			n[a] = e,
			"upsell" != e.format && e.defaultQuality && (r = a);
		}),
		r || (r = __.max(n, function(e) {
			return "dash" == e.format || "hls" == e.format ? 1 : parseFloat(String(e.quality).replace(/[_p]/gi, ".") * ("upsell" == e.format ? -1 : 1))
		}).quality);
		for (var a = 0; a < e.length; a++)
			e[a].quality == r && (e[a].defaultQuality = !0);
		return e
	},
	selectedQualitySource: function(e) {
		for (var t = {}, n = 0; n < e.length; n++)
			e[n].defaultQuality === !0 && (t = e[n]);
		return t
	}
}),
__.mixin({
	purge: function(e) {
		var t, n, r, a = e.attributes;
		if (a)
			for (t = a.length - 1; t >= 0; t -= 1)
				r = a[t].name,
				"function" == typeof e[r] && (e[r] = null);
		if (a = e.childNodes)
			for (n = a.length,
			t = 0; t < n; t += 1)
				__.purge(e.childNodes[t])
	}
}),
__.mixin({
	capitalize: function(e, t) {
		e = "" + e;
		var n = t ? e.slice(1).toLowerCase() : e.slice(1);
		return e.charAt(0).toUpperCase() + n
	}
}),
xlll.detector = function() {
	function e(e) {
		i(e) && (s = e,
		l = navigator.userAgent),
		t()
	}
	function t() {
		__.each(c[s], function(e, t) {
			f["is" + __.capitalize(t)] = function() {
				return !!l.match(c[s][t])
			}
		}),
		__.each(c.os, function(e, t) {
			f["is" + __.capitalize(t)] = function() {
				return !!l.match(c.os[t])
			}
		}),
		__.each(o, function(e) {
			f["is" + __.capitalize(e)] = function() {
				return e == s
			}
		})
	}
	function n(e) {
		return __.isUndefined(e) ? e : e.replace("_", ".").split(".")[0]
	}
	function r() {
		if (__.isEmpty(u)) {
			var e = [],
				t = {
				name: "undefined",
				version: ""
			};
			__.each(c[s], function(t, n) {
				if (!e[0] && f["is" + __.capitalize(n)]()) {
					var r = l.match(c[s][n]);
					e = [n, r[1] || ""]
				}
			}),
			__.each(c.os, function(e, n) {
				"undefined" == t.name && f["is" + __.capitalize(n)]() && (t = {
					name: n,
					version: l.match(e)[2] || ""
				})
			}),
			u = {
				name: e[0],
				type: s,
				version: n(e[1]),
				fullVersion: e[1],
				os: t.name,
				osVersion: t.version
			}
		}
		return u
	}
	function a(e) {
		var t = r();
		__.isUndefined(t.name) || __.addClass(e, t.name),
		__.isUndefined(t.type) || __.addClass(e, t.type),
		__.isUndefined(t.version) || __.addClass(e, t.name + t.version),
		__.isUndefined(t.os) || __.addClass(e, t.os)
	}
	function i(e) {
		return !!~__.indexOf(o, e)
	}
	var o = ["desktop", "mobile", "tablet", "tv"],
		s = null,
		l = null,
		u = {},
		c = {},
		f = {
			init: e,
			getBrowser: r,
			generateClassList: function(e) {
				a(e)
			}
		};
	return c.desktop = {
		ie: /(?:WOW64.+rv:|MSIE\s)(\d+\.*\d*)(?!.*Firefox)/,
		edge: /(?:Edge\/)(\d+\.\d+\.*\d*)/,
		chrome: /(?:Chrome\/)(\d+\.\d+\.\d+\.*\d+)?/,
		safari: /(?:Version\/|Safari\/|Safari )(\d+\.\d+\.*\d*)/,
		firefox: /(?:[Ff]irefox(?:\/| |\(|)(\d*\.\d\.*\d*\.*\d*)*)/,
		opera: /(?:Opera(?:\s|\/))(\d+\.*\d*)?/
	},
	c.mobile = {
		edge: c.desktop.edge,
		ie: /(?:(?:IEM|iem)obile|MSIE|Edge)(?:\/|\s)(\d+\.*\d*)/,
		chrome: /(?:CriOS\/|Chrome\/)(\d+\.\d+\.\d+\.*\d+)(?!.*OPR)/,
		safari: c.desktop.safari,
		opera: /(?:OPR\/|Opera(?:\s|\/))(\d+\.\d+\.*\d*\.*\d*)/,
		firefox: /(?:Firefox|Fennec|FxiOS)(?:\/)((\d*\.\d\.*\d*\.*\d*))/,
		uc: /(?:UCBrowser\/|UCWEB\/)(\d+\.\d+\.*\d*\.*\d*)/
	},
	c.tablet = {
		firefox: c.mobile.firefox,
		ie: !1,
		edge: c.desktop.edge,
		chrome: c.mobile.chrome,
		safari: c.desktop.safari
	},
	c.os = {
		windowsPhone: /(Windows Phone) O?S?\s?(\d+\.?\d?)/,
		ios: /(iPhone|iPad|iPod)+.+OS (\d+)/,
		macos: /Mac OS X/i,
		windows: /Windows/i,
		android: /(Android);? (\d+\.\d+)?/i,
		playstation: /playstation/i,
		xbox: /xbox/i,
		smartTV: /TV/i,
		samsungNative: /SAMSUNG/i
	},
	f
}();