<?php
require_once $_SERVER['DOCUMENT_ROOT'].'/system/function.php';
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json; charset=utf8');

function title_replace($var) {
	$var = str_replace('Дата', 'date', $var);
	$var = str_replace('Просмотры', 'hits', $var);
	$var = str_replace('Посетители', 'hosts', $var);
	return $var;
}

function csvtojson($file, $delimiter) {

	$options = array(
		'ssl' => array(
			'verify_peer' => false
		)
	);

	$context = stream_context_create($options);

	if (($handle = fopen($file, 'r', false, $context)) === false) {
		die('file open error');
	}

	$csv_headers = fgetcsv($handle, 4000, $delimiter);
	$csv_json = array();

	while ($row = fgetcsv($handle, 4000, $delimiter)) {
		$csv_json[] = array_combine($csv_headers, $row);
	}

	fpassthru($handle);
	fclose($handle);
	return json_encode($csv_json, JSON_UNESCAPED_UNICODE);
}

$action = isset($_GET['period']) ? guard($_GET['period']): 'day';

switch ($action) {
	default:
		$period = 'day';
		break;

	case 'week':
		$period = 'week';
		break;

	case 'month':
		$period = 'month';
		break;
}

$jsonresult = title_replace(csvtojson('https://www.liveinternet.ru/stat/goload.ru/index.csv?period='.$period.'&graph=csv', ';'));

echo '{"stat":'.$jsonresult.'}';

?>