<?php
require_once $_SERVER['DOCUMENT_ROOT'].'/system/function.php';

if (!isset($admin)) {
	go('/');
}

?>

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>GOload elFinder</title>

	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="mobile-web-app-capable" content="yes">
	<meta name="application-name" content="GOload elFinder">
	<meta name="theme-color" content="#232C31">
	<meta name="apple-mobile-web-app-status-bar-style" content="#232C31">
	<meta name="msapplication-tilecolor" content="#232C31">
	<meta name="msapplication-tileimage" content="https://'.$_SERVER['HTTP_HOST'].'/assets/img/tablo_logo.png">

	<link rel="shortcut icon" href="/assets/img/favicon.png">
	<link rel="apple-touch-icon" href="/assets/img/app-icon.png">
	<link rel="icon" sizes="256x256" href="/assets/img/icons/icon_256.png">
	
	<script data-main="./main.default.js" src="//cdnjs.cloudflare.com/ajax/libs/require.js/2.3.5/require.min.js"></script>
	<script>
		define('elFinderConfig', {
			defaultOpts : {
				url : 'php/connector.minimal.php',
                height : document.documentElement.clientHeight,
				commandsOptions : {
					edit : {
						extraOptions : {
							creativeCloudApiKey : '',
							managerUrl : ''
						}
					},
					quicklook : {
						sharecadMimes : ['image/vnd.dwg', 'image/vnd.dxf', 'model/vnd.dwf', 'application/vnd.hp-hpgl', 'application/plt', 'application/step', 'model/iges', 'application/vnd.ms-pki.stl', 'application/sat', 'image/cgm', 'application/x-msmetafile'],
						googleDocsMimes : ['application/pdf', 'image/tiff', 'application/vnd.ms-office', 'application/msword', 'application/vnd.ms-word', 'application/vnd.ms-excel', 'application/vnd.ms-powerpoint', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', 'application/vnd.openxmlformats-officedocument.presentationml.presentation', 'application/postscript', 'application/rtf'],
						officeOnlineMimes : ['application/vnd.ms-office', 'application/msword', 'application/vnd.ms-word', 'application/vnd.ms-excel', 'application/vnd.ms-powerpoint', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', 'application/vnd.openxmlformats-officedocument.presentationml.presentation', 'application/vnd.oasis.opendocument.text', 'application/vnd.oasis.opendocument.spreadsheet', 'application/vnd.oasis.opendocument.presentation']
					}
				},
				bootCallback : function(fm, extraObj) {
					fm.bind('init', function() {
						// any your code
					});
					var title = document.title;
					fm.bind('open', function() {
						var path = '',
						cwd  = fm.cwd();
						if (cwd) {
							path = fm.path(cwd.hash) || null;
						}
						document.title = path? path + ' - ' + title : title;
					}).bind('destroy', function() {
						document.title = title;
					});
				}
			},
			managers : {
				'elfinder': {}
			}
		});
	</script>
</head>
<body>
	<div id="elfinder"></div>
</body>
</html>