<!DOCTYPE html>
<html lang="ru">
	<head>
		<meta charset="utf-8">
		<title>Internet error</title>

		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="mobile-web-app-capable" content="yes">
		<meta name="application-name" content="GOload">
		<meta name="theme-color" content="#5d80a6">
		<meta name="apple-mobile-web-app-status-bar-style" content="#5d80a6">

		<link rel="manifest" href="/manifest.json">

		<link rel="stylesheet" href="/assets/style.css" type="text/css">
		<link rel="stylesheet" href="/assets/bootstrap.css" type="text/css">

	</head>
	<body style="padding-top: 0;">

		<section class="spec">

		<div class="error offline">

			<div class="error-logo"></div>

			<div class="error-text">
				<div class="error-title">Нет доступа к интернету</div>
				<div class="error-message">Проверьте подключение и обновите страницу</div>

				<div>
					<span id="refresh" class="refresh">Обновить</span>
				</div>
			</div>

		</div>

		</section>

		<script>
			const refresh = document.getElementById('refresh');
			refresh.onclick = (e) => {
				e.preventDefault();
				if (navigator.onLine === true) {
					location.reload();
				}
			};
		</script>

	</body>
</html>