<?php
$title_main = $lang['all_files'].' - GOload '.$lang['title'];
require_once SYS.'/header.php';

$sorting = isset($_GET['sort']) ? guard($_GET['sort']): null;

switch ($sorting) {
	default:
		$sort = 'id';
		break;
	case 'newest':
		$sort = 'id';
		break;
	case 'popular':
		$sort = 'views';
		break;
}

echo '
		<script src="/assets/js/lazy.min.js"></script>
		<script>
			$(() => {
				$(".img_load").Lazy();
			});
		</script>
		<script src="/assets/js/up.js"></script>
		<div class="block col-md-8">
			<h6 class="round_title">
				<a class="left" onclick="window.history.back();">
					<img src="/assets/img/left.svg" alt="back">
				</a>
				<div class="title back"><a href="/">'.$title.'</a> | '.$lang['all_files'].'</div>
			</h6>

			<div class="sort">
				<div class="sort_btn">
					<span>'.$lang['sorting'].'</span>
					<i class="material-icons">arrow_drop_down</i>
					<div class="sort_content">
						<a '; if ($sort == 'id') { echo 'class="active" ';} echo 'href="?sort=newest">'.$lang['sort_newest'].'</a>
						<a '; if ($sort == 'views') { echo 'class="active" ';} echo 'href="?sort=popular">'.$lang['sort_popular'].'</a>
					</div>
				</div>
			</div>

			<div class="link">
';

$max = 30;
list($k_post) = $db->query('SELECT COUNT(*) FROM `file`')->fetch_row();
$k_page = k_page($k_post, $max);
$page = page($k_page);
$start = $max * $page - $max;

$file = $db->query("SELECT * FROM `file` ORDER BY $sort DESC LIMIT $start, $max");
while ($a = $file->fetch_assoc()) {
if ($a['del'] != 0) {
   $avto = $a['del'] * 86400;
} else {
   $avto = $set['del'] * 86400;
}

if ($a['access'] == 'true') {
if ($a['pass'] == 0) {
echo '
				<div class="file">
					<div class="file_top">
						<span class="file_author"><img style="margin-right: 8px;" src="/assets/img/user.svg" alt="user">'.mb_strimwidth($a['avtor'], 0, 18, "...").'</span>
						<span class="file_date">'.vremya($a['time']-$avto).'</span>
					</div>
					<div class="file_more">
						<img src="/assets/img/more.svg" alt="more">
						<div class="more_links">'; if (isset($admin)) echo '
							<a href="/delete'.$a['id'].'">'.$lang['delete_btn'].'</a>'; echo '
							<a href="/report'.$a['id'].'">'.$lang['report'].'</a>
						</div>
					</div>
					<a href="/file'.$a['id'].'" class="file_block">
						<span class="file_name">'.$a['name'].'</span>';

if ($a['format'] == 'jpeg' or $a['format'] == 'jpg' or $a['format'] == 'png' or $a['format'] == 'ico' or $a['format'] == 'bmp' or $a['format'] == 'svg') {
echo '
						<div class="file_image">
							<img class="img_load'; if ($a['nsfw'] == 'true') { echo ' nsfw';} echo '" data-src="/files/'.$a['file'].'" alt="">
						</div>';
} elseif ($a['format'] == 'gif') {
echo '
						<div class="file_image">
							<img class="img_load'; if ($a['nsfw'] == 'true') { echo ' nsfw';} echo '" data-src="/modules/viewer/gif.php?image='.$a['file'].'" alt="">
						</div>';
} elseif ($a['format'] == 'psd') {
echo '
						<div class="file_image">
							<img class="img_load'; if ($a['nsfw'] == 'true') { echo ' nsfw';} echo '" data-src="/modules/viewer/psd.php?file='.$a['file'].'" alt="">
						</div>';
} elseif ($a['format'] == 'mp4' or $a['format'] == 'webm') {
echo '
						<div class="file_image file_video">
							<i class="material-icons play_ic">play_arrow</i>
							<img class="img_load'; if ($a['nsfw'] == 'true') { echo ' nsfw';} echo '" data-src="/modules/viewer/video.php?file='.$a['file'].'" alt="">
						</div>';
}
echo '
						<div class="file_info">
							<span style="margin-right:16px;"><img src="/assets/img/down.svg" alt="load">'.count_round($a['up']).'</span>
							<span><img src="/assets/img/info.svg" alt="size">'.sizer(filesize('files/'.$a['file'])).'</span>'; if ($a['nsfw'] == 'true') { echo '
							<span style="margin-left:16px;" title="'.$lang['nsfw_file'].'"><img src="/assets/img/warning.svg" alt="NSFW">NSFW</span>';} echo '
							<span style="margin-left:auto;"><img src="/assets/img/views.svg" alt="views">'.count_round($a['views']).'</span>
						</div>
					</a>
				</div>
';
} else {
echo '
				<div class="file">
					<div class="file_top">
						<span class="file_author"><img style="margin-right: 8px;" src="/assets/img/lock.svg" alt="lock">'.mb_strimwidth($a['avtor'], 0, 18, "...").'</span>
						<span class="file_date">'.vremya($a['time']-$avto).'</span>
					</div>
					<div class="file_more">
						<img src="/assets/img/more.svg" alt="more">
						<div class="more_links">'; if (isset($admin)) echo '
							<a href="/delete'.$a['id'].'">'.$lang['delete_btn'].'</a>'; echo '
							<a href="/report'.$a['id'].'">'.$lang['report'].'</a>
						</div>
					</div>
					<a href="/file'.$a['id'].'" class="file_block">
						<span class="file_name">'.$a['name'].'</span>
						<div class="file_info">
							<span style="margin-right:16px;"><img src="/assets/img/down.svg" alt="load">'.count_round($a['up']).'</span>
							<span><img src="/assets/img/info.svg" alt="size">'.sizer(filesize('files/'.$a['file'])).'</span>'; if ($a['nsfw'] == 'true') { echo '
							<span style="margin-left:16px;" title="'.$lang['nsfw_file'].'"><img src="/assets/img/warning.svg" alt="NSFW">NSFW</span>';} echo '
							<span style="margin-left:auto;"><img src="/assets/img/views.svg" alt="views">'.count_round($a['views']).'</span>
						</div>
					</a>
				</div>

';
}
}

}

echo '
			</div>
';

if (empty($k_post)) echo '
			<div class="menu">
				<div style="text-align: center;padding: 8px;">
					<div class="error-logo" style="float: initial;"></div>
					<div>
						<div class="error-message">'.$lang['no_files'].'! :((</div>

						<div>
							<a href="/add_file">'.$lang['add_file'].'</a>
						</div>
					</div>
				</div>
			</div>';

if (isset($sorting)) {
	$g_sort = '?sort='.$sorting;
} else {
	$g_sort = null;
}
if ($k_page > 1) echo pagination('/file', $k_page, $page, $g_sort);

echo '
		</div>
';

?>