<?php
$title_main = 'GOload '.$lang['title'];
$maxsize = $set['maxsize'];
$del = $set['del'];
$theme = empty($_COOKIE['theme']) ? "" : " light";

echo '<!DOCTYPE html>
<html lang="'.$lang['lang'].'">
	<head>';

	require_once SYS.'/meta.php';

	echo '
		<link rel="stylesheet" href="/assets/main.css">

		<!-- A nyan cat is here somewhere. Enter the "cat" on the keyboard))0) -->

	</head>
	<body class="LITEcore'.$theme.'">

		<div id="page">
			<div class="container">
				<div class="grid">

					<div class="grid_cell right_block">
						<div class="right_nav">
							<h1 class="logo">
								<i class="icon"></i>
								<span class="name">GOload</span>
							</h1>
							<span class="links">
								<a href="/file">'.$lang['all_files'].'</a>
								<a href="/rules">'.$lang['rules'].'</a>
								<a href="/search">'.$lang['search'].'</a>
								<a href="/api/">'.$lang['api'].'</a>'; if ($language == 'en') { echo '
								<a href="/lang/ru">'.$lang['language'].':<i class="ic_lang en">'.$lang['lang'].'</i></a>'; } else { echo '
								<a href="/lang/en">'.$lang['language'].':<i class="ic_lang ru">'.$lang['lang'].'</i></a>'; } echo '
								<a href="/theme" id="themeToggle">'.$lang['theme'].'</a>
							</span>
						</div>

						<div class="right_content">
							<div class="items">'.$maxsize.' '.$lang['max'].'</div>
							<div class="items">'.$lang['to'].' '.$del.' '.$lang['storage'].'</div>
							<div class="items">'.$lang['no_ads'].'</div>
						</div>
					</div>

					<form class="grid_cell left_block dropzone" action="/add_file" enctype="multipart/form-data" method="POST">
						<div class="dropload">
							<label class="file">
								<span class="upload_icon"></span>
								<span id="fname">'.$lang['choose_file'].'</span>
								<input id="choice" type="file" name="filename">
							</label>
'; if (!isset($user)) { echo '
							<input type="text" id="uname" name="avtor" value="'.$_COOKIE['username'].'" placeholder="'.$lang['your_name'].'" maxlength="25" required>
'; } echo '
							<div class="date">
								<div class="md-radio md-radio-inline">
									<input id="1" type="radio" name="del" value="1">
									<label for="1">1 '.$lang['day'].'</label>
								</div>
								<div class="md-radio md-radio-inline">
									<input id="2" type="radio" name="del" value="10" checked>
									<label for="2">10 '.$lang['days'].'</label>
								</div>
								<div class="md-radio md-radio-inline">
									<input id="3" type="radio" name="del" value="">
									<label for="3">180 '.$lang['days'].'</label>
								</div>
							</div>

							<div class="help">
								<i class="material-icons">help_outline</i>
								<div class="formats">
									<div class="formats_title">'.$lang['allowed_files'].':</div>
									<div>'.$lang['formats'].'</div>
								</div>
							</div>
							<input class="btn" type="submit" name="submit" value="'.$lang['upload'].'">
							<div id="error" data-text="'.$lang['err_choose_file'].'"></div>
						</div>
					</form>

				</div>
			</div>
		</div>

		<script src="/assets/js/jquery.js"></script>
		<script src="/assets/js/main.js"></script>
		<script src="/assets/js/li.js"></script>

		
	</body>
</html>
';

?>