<?php
header('Content-Type: application/json; charset=utf8');
header('Access-Control-Max-Age: 600');
header('Access-Control-Allow-Methods: POST');

if (!isset($user)) {
	go('/');
}

if (isset($_POST)) {
	function resize_image($file, $width, $height) {
		list($w, $h) = getimagesize($file);
		$ratio = max($width/$w, $height/$h);
		$h = ceil($height / $ratio);
		$x = ($w - $width / $ratio) / 2;
		$w = ceil($width / $ratio);
		$imgString = file_get_contents($file);
		$image = imagecreatefromstring($imgString);
		$tmp = imagecreatetruecolor($width, $height);
		imagecopyresampled(
		    $tmp, $image,
			0, 0,
			$x, 0,
			$width, $height,
			$w, $h
		);
		imagejpeg($tmp, $file, 100);
		return $file;
		imagedestroy($image);
		imagedestroy($tmp);
	}


    if (!@file_exists($_FILES['photo']['tmp_name'])) {
echo '{
	"data": {
		"error": "Bad Request",
		"message": "Choose file"
	},
	"success": false,
	"status": 400
}';
exit;
    }

	$filetype = array ('png', 'jpg', 'jpeg'); 
	$upfiletype = substr($_FILES['photo']['name'], strrpos( $_FILES['photo']['name'], ".")+1);
	$size = $_FILES['photo']['size'];

	if (!in_array(strtolower($upfiletype), $filetype)) {
echo '{
	"data": {
		"error": "Bad Request",
		"message": "This file format is not allowed"
	},
	"success": false,
	"status": 400
}';
exit;
	}

	if ($size > (1048576 * 5)) {
echo '{
	"data": {
		"error": "Bad Request",
		"message": "Maximum file size 5 Mb"
	},
	"success": false,
	"status": 400
}';
exit;
	}

	if ($size < 4) {
echo '{
	"data": {
		"error": "Bad Request",
		"message": "Empty file"
	},
	"success": false,
	"status": 400
}';
exit;
	}

	$files = $user['id'].'.png';
	move_uploaded_file(resize_image($_FILES['photo']['tmp_name'], 320, 320), H.'/modules/users/photos/'.$files);

echo '{
	"data": {
		"user": '.$user['id'].',
		"photo": "https://'.$_SERVER['HTTP_HOST'].'/modules/users/photos/'.$files.'?t='.time().'",
		"time": '.time().'
	},
	"success": true,
	"status": 200
}';
exit;

}

?>