<?php

echo '<!DOCTYPE html>
<html lang="'.$lang['lang'].'">
	<head>';

require_once 'meta.php';

echo '
		<link rel="stylesheet" href="/assets/style'.$theme.'.css" type="text/css">

		<script type="text/javascript" src="/assets/js/jquery.js"></script>


	</head>
	<body style="padding-top: 0;">
		<div class="spec" style="padding-top: 64px;">
';

echo '
		<header class="hide">
			<div class="head-container">
				<div class="l_bar nav_main">
					<span title="'.$lang['tooltip_open_menu'].'">
						<img src="/assets/img/menu.svg" alt="menu">
					</span>
				</div>

				<div class="c_bar">
					<h1 id="main_name" class="site_name">
						<a href="/">GOload</a>
					</h1>
				</div>';

if (isset($user)) {
	$photo = file_exists(H.'/modules/users/photos/'.$user['id'].'.png') ? '/modules/users/photos/'.$user['id'].'.png?t='.time(): '/assets/img/user.png';

    echo '
				<div class="r_bar user_bar">
					<a href="/profile" title="'.$lang['tooltip_profile'].'"><img id="smallPhoto" src="'.$photo.'" alt="profile"></a>
				</div>';
} else {
    echo '
				<div class="r_bar">
					<a href="/sign_in" title="'.$lang['tooltip_login'].'"><img src="/assets/img/login.svg" alt="login"></a>
				</div>';
}

echo '
				<div class="r_bar">
					<a href="/add_file" title="'.$lang['tooltip_add_file'].'"><img src="/assets/img/load.svg" alt="add"></a>
				</div>
				<div class="r_bar">
					<a href="/search" title="'.$lang['tooltip_search'].'"><img src="/assets/img/search.svg" alt="search"></a>
				</div>';

if (isset($admin)) {
	list($count) = $db->query('SELECT COUNT(`id`) FROM `report` WHERE `seen`= "0"')->fetch_row();
	echo '
				<div class="r_bar">
					<a href="/dashboard" title="'.$lang['tooltip_admin'].'"><img src="/assets/img/panel.svg" alt="dashboard"></a>';
	if ((0 < $count) && ($count <= 9)) {
		echo '
					<i class="count">'.$count.'</i>';
	}
	if ($count > 9) {
		echo '
					<i class="count">9+</i>';
	}
	echo '
				</div>';
}

echo '
			</div>
		</header>
';

echo '
		<nav>
			<div class="drawer">
				<div class="nav-head">
					<div class="head-cont">
						<img class="avatar" src="/assets/img/icons/icon_128.png" alt="main-logo">
						<div class="tit">
							<span class="name">GOload</span>
							<span>'.$lang['title'].'</span>
						</div>
					</div>
				</div>

				<div class="nav-cont">
					<a class="nav-link" href="/add_file">'.$lang['add_file'].'</a>
					<a class="nav-link" href="/file">'.$lang['all_files'].'</a>
					<a class="nav-link" href="/rules">'.$lang['rules'].'</a>
					<a class="nav-link" href="/api/">'.$lang['api'].'</a>
				</div>
			</div>
			<script type="text/javascript" src="/assets/js/menu.js"></script>
		</nav>
';

echo '
		</div>
		<section class="spec">';

?>